Package org.eclipse.m2m.atl.emftvm.constraints

## Class ValidCodeBlockStackLevelValidator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.constraints.ValidCodeBlockStackLevelValidator

All Implemented Interfaces:
  `Validator<CodeBlock>`

    public class ValidCodeBlockStackLevelValidator
    extends java.lang.Object
    implements Validator<CodeBlock>

Validates the final stack level of code blocks, which should be 0 or 1.

### Constructor Summary

Constructors
`ValidCodeBlockStackLevelValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `validate​(CodeBlock cb)` Validates `object`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidCodeBlockStackLevelValidator

    public ValidCodeBlockStackLevelValidator()

### Method Detail

#### validate

    public boolean validate​(CodeBlock cb)

Validates `object`.

Specified by:
  `validate` in interface `Validator<CodeBlock>`
Parameters:
  `cb` - the object to validate
Returns:
  `true` if `object` is valid